#include <MsgBoxConstants.au3>

MsgBox($MB_SYSTEMMODAL, "", "The language of the OS is: " & _GetLanguage() & " (" & LCIDToLocaleName("0x" & @OSLang) & ")")

; Ruft die Sprache des Betriebssystems ab.
Func _GetLanguage()
	; @OSLang ist vier Zeichen lang, die ersten beiden sind der Dialekt und die restlichen zwei sind die Sprachgruppe.
	; Da wir nur die Sprachgruppe benötigen, wählen wir die beiden Zeichen ganz rechts aus.
	Switch StringRight(@OSLang, 2)
		Case "07"
			Return "German"
		Case "09"
			Return "English"
		Case "0a"
			Return "Spanish"
		Case "0b"
			Return "Finnish"
		Case "0c"
			Return "French"
		Case "10"
			Return "Italian"
		Case "13"
			Return "Dutch"
		Case "14"
			Return "Norwegian"
		Case "15"
			Return "Polish"
		Case "16"
			Return "Portuguese"
		Case "1d"
			Return "Swedish"

		Case Else
			Return "Other (can't determine with @OSLang directly)"

	EndSwitch
EndFunc   ;==>_GetLanguage

Func LCIDToLocaleName($iLCID)
	Local $aRet = DllCall("kernel32.dll", "int", "LCIDToLocaleName", "int", $iLCID, "wstr", "", "int", 85, "dword", 0)
	Return $aRet[2]
EndFunc   ;==>LCIDToLocaleName
